<?php
require_once 'Timer.php';
$timer = new Benchmark_Timer();
$timer->start();

$host="localhost";
$user="root";
$password="<PUT YOUR PASSWORD HERE>";
$dbName = "tokyocabinet";
$tableName = "benchmark";
$timer->setMarker('create');

try {
	$dbh = new PDO("mysql:host=$host;dbname=$dbName", $user, $password);
	echo 'Connected to database';

	$timer->setMarker('connect');

	$stmt = $dbh->prepare("INSERT INTO ".$tableName." (name, value) VALUES (:name, :value)");
	$value = 'something';
	for($i = 0;$i <= 10000 ;$i++){
		$name = rand(1, 1000);
		$stmt->bindParam(':name', $name);
		$stmt->bindParam(':value', $value);
		$stmt->execute();
	}

	$timer->setMarker('put');
	$stmt = $dbh->prepare("SELECT * FROM ".$tableName." where name = ?");
	for($i = 0;$i <= 10000 ;$i++){
		$name = (string) rand(1, 1000);
		$stmt->execute(array($name));
		$row = $stmt->fetch();
	}

	$timer->setMarker('get');

	$dbh = null;
	$timer->setMarker('close');
	$timer->display();
}
catch(PDOException $e){
    echo $e->getMessage();
}
?>